package com.qunzhixinxi.hnqz.common.taxhelper.entity.model;

import com.qunzhixinxi.hnqz.common.taxhelper.config.TaxHelperConfig;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * {@code TaxHelperGetUserAgreementModel}
 * <p>
 * 获取用户协议内容模型
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/08/09 16:24:37
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class TaxHelperGetUserAgreementModel extends TaxHelperModel {
	private static final long serialVersionUID = 3735101469690170491L;

	/**
	 * 企业的统一社会信用代码
	 */
	private String enterpriseCode;

	public TaxHelperGetUserAgreementModel(TaxHelperConfig config){
		this.appId = config.getAppId();
		this.appSecrete = config.getAppSecrete();
		this.queryUrl = config.getQueryUrl();
	}
}
